Skip to main content
DELETE
/
api
/
platform
/
cross-border
/
payee
/
bank
/
{user_id}
/
{bank_uuid}
Delete a Payee Bank
curl --request DELETE \
  --url https://api.paywint.com/api/platform/cross-border/payee/bank/{user_id}/{bank_uuid} \
  --header 'X-Platform-ID: <x-platform-id>' \
  --header 'X-Signature: <x-signature>'
{
  "success": true,
  "message": "Operation completed.",
  "data": null,
  "queryGeneratedTime": 1718006400
}

Headers

X-Platform-ID
string<uuid>
required

Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.

X-Signature
string
required

HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.

Path Parameters

user_id
string<uuid>
required

Unique identifier (UUID) of the platform user.

bank_uuid
string<uuid>
required

Unique identifier (UUID) of the payee bank to delete.

Response

Successful Response

success
boolean
default:true

Indicates whether the request was processed successfully.

Example:

true

message
string
default:Success

A short, human-readable message describing the result of the request.

Example:

"Operation completed."

data
null

The main response payload, if applicable

queryGeneratedTime
number | null
default:1783409763.80796

The Unix timestamp (in seconds) indicating when the response was generated.

Example:

1718006400